function a = gmmclassifier(model, x)

covmtx = zeros(model.nin);

for i = 1:model.nin
    covmtx(i,i) = model.covars(i);
end

a = (1/sqrt(((2*pi)^model.nin)*det(covmtx)))*exp(-(((x-model.centres)*inv(covmtx)*(x-model.centres).')./2))
